gpu\_stats package
==================

The GPU Stats Package handles collection of information from connected GPUs

.. contents:: Contents
   :local:

gpu_stats._base module
----------------------

.. automodule:: lib.gpu_stats._base
   :members:
   :undoc-members:
   :show-inheritance:

gpu_stats.apple_silicon module
------------------------------

.. automodule:: lib.gpu_stats.apple_silicon
   :members:
   :undoc-members:
   :show-inheritance:

gpu_stats.amd module
--------------------

.. automodule:: lib.gpu_stats.amd
   :members:
   :undoc-members:
   :show-inheritance:

gpu_stats.cpu module
--------------------

.. automodule:: lib.gpu_stats.cpu
   :members:
   :undoc-members:
   :show-inheritance:

gpu_stats.directml module
-------------------------

.. automodule:: lib.gpu_stats.directml
   :members:
   :undoc-members:
   :show-inheritance:

gpu_stats.nvidia_apple module
-----------------------------

.. automodule:: lib.gpu_stats.nvidia_apple
   :members:
   :undoc-members:
   :show-inheritance:

gpu_stats.nvidia module
-----------------------

.. automodule:: lib.gpu_stats.nvidia
   :members:
   :undoc-members:
   :show-inheritance:
